package hibergui.property;

import hibergui.Form;

import org.eclipse.swt.widgets.Composite;


public class StringEdit extends TextEdit<String> {

    public StringEdit(Form form, Composite cptParent, int style, String prop, String name) {
        super(form, cptParent, style, prop, name);
    }
    
    @Override
    public String extract() {
        return getText();
    }

    @Override
    public void fill() {
        setText(value);
    }
}
